/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.view.presenter.signup;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.view.presenter.SignUpPresenter;
import kr.co.zumo.app.lifeplus.util.ResourceUtil;
import kr.co.zumo.app.lifeplus.bean.TextBean;

/**
 * SignUpStepHello
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 14.]   [최초 작성]
 * @since 2018. 9. 14.
 */
public class SignUpStepHello extends SignUpStep {
  public SignUpStepHello(SignUpPresenter model) {
    super(model);
  }

  @Override
  void __start() {
    presenter.addItem(new SignUpItem(SignUpItem.SIGN_UP_TEXT, SignUpItem.ALIGN_START, new TextBean(ResourceUtil.getString(R.string.sign_up_hello_text)).toJson()));

    timeout(1000, this::callNextStep);
  }

  @Override
  void __validate() {
    isValidated = true;
  }

  @Override
  void __dispose() {
  }
}
